﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace SkinEngines.SkinControl
{
    /// <summary>
    /// ControlExtenders -- Extenders Control to Draw
    /// </summary>
    public class ControlExtenders
    {
        /// <summary>
        /// Get Skined Control
        /// </summary>
        /// <param name="control"></param>
        /// <param name="engine"></param>
        /// <returns></returns>
        public static SkinControls GetSkinControl(Control control, SkinEngine engine)
        {
            // check is Label
            if (control is Label)
            {
                return new SkinLabel(control, engine);
            }

            return new SkinControls(control, engine);
        }
    }
}
