﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.Drawing;

namespace SkinEngines.SkinControl
{
    /// <summary>
    /// SkinLabel -- Label of Skin
    /// </summary>
    public class SkinLabel : SkinControls
    {
        #region Constructor
        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="control"></param>
        /// <param name="engine"></param>
        public SkinLabel(Control control, SkinEngine engine)
            : base(control, engine)
        {

        }
        #endregion

        #region DoInit
        /// <summary>
        /// DoInit
        /// </summary>
        public override void DoInit()
        {
            this._control.BackColor = Color.FromArgb(227, 238, 253);
            base.DoInit();
        }
        #endregion
    }
}
